# Ogre::TangentSpaceCalc::Result Struct Reference

The result of having built a tangent space basis. More...

`#include <OgreTangentSpaceCalc.h>`

List of all members.

## Public Attributes

VertexSplits | vertexSplits
| A list of vertex indices which were split off into new vertices because of mirroring.
IndexRemapList | indexesRemapped
| A list of indexes which were affected by splits.

## Detailed Description

The result of having built a tangent space basis.

Definition at line 76 of file OgreTangentSpaceCalc.h.

## Member Data Documentation

IndexRemapList Ogre::TangentSpaceCalc::Result::indexesRemapped

A list of indexes which were affected by splits.

You can use this if you have other triangle-based data which you will need to alter to match.

Definition at line 85 of file OgreTangentSpaceCalc.h.

Referenced by Ogre::TangentSpaceCalc::remapIndexes().

VertexSplits Ogre::TangentSpaceCalc::Result::vertexSplits

A list of vertex indices which were split off into new vertices because of mirroring.

First item in each pair is the source vertex index, the second value is the split vertex index.

Definition at line 82 of file OgreTangentSpaceCalc.h.

The documentation for this struct was generated from the following file:

- OgreTangentSpaceCalc.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:02